{
  "components": {
    "callbacks": {},
    "examples": {},
    "headers": {},
    "links": {},
    "parameters": {},
    "pathItems": {},
    "requestBodies": {},
    "responses": {},
    "schemas": {},
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "Semrush (Analytics)",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "semrush": {
        "description": "",
        "title": "Semrush (Analytics)",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "c46ddca536a73dd09d07590e80cf00d800b2672778ba9d1723c4611799f06604",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/semrush/backlink-anchors",
      "/apis/v1/semrush/backlink-competitors",
      "/apis/v1/semrush/backlinks",
      "/apis/v1/semrush/backlinks-overview",
      "/apis/v1/semrush/broad-match-keywords",
      "/apis/v1/semrush/domain-organic-competitors",
      "/apis/v1/semrush/domain-organic-keywords",
      "/apis/v1/semrush/domain-overview",
      "/apis/v1/semrush/domain-paid-keywords",
      "/apis/v1/semrush/domain-rank-history",
      "/apis/v1/semrush/domain-vs-domain",
      "/apis/v1/semrush/indexed-pages",
      "/apis/v1/semrush/keyword-difficulty",
      "/apis/v1/semrush/keyword-organic-results",
      "/apis/v1/semrush/keyword-overview",
      "/apis/v1/semrush/keyword-paid-results",
      "/apis/v1/semrush/question-keywords",
      "/apis/v1/semrush/referring-domains",
      "/apis/v1/semrush/related-keywords",
      "/apis/v1/semrush/url-organic-keywords"
    ],
    "x-aisa-document": {
      "composer_version": "26",
      "document_hash": "sha256:da951261b08f7e9ece045e97f45fb99c8a871214007daa99f8263a4ed5f43432",
      "facts_hash": "c46ddca536a73dd09d07590e80cf00d800b2672778ba9d1723c4611799f06604",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [
        {
          "method": "GET",
          "operation_id": "get_semrush_apis_v1_semrush_related_keywords",
          "path": "/apis/v1/semrush/related-keywords",
          "reason": "public success response has no authoritative payload declaration",
          "statuses": [
            "200"
          ]
        }
      ],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "semrush"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/semrush/backlink-anchors": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.08 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_backlink_anchors",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target_type",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "anchor;backlinks_num\nahrefs;1658450",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `anchor;backlinks_num`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Backlink Anchors",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-backlink-anchors",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.08,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:44a00f824f01f77bb9016b0f27bec0553fac471079b2dfd7dde2232ab1cd70f0",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "0f1c41cfe247",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "60da983234ff"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_backlink_anchors",
          "path": "/apis/v1/semrush/backlink-anchors"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/backlink-anchors?target=example&target_type=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/backlink-competitors": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.08 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_backlink_competitors",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target_type",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "neighbour;similarity\nsemrush.com;0.477280",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `neighbour;similarity`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Backlink Competitors",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-backlink-competitors",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.08,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:f89ad295e5073a832705237c1309d74b26c053f1950c9447e7d7add90ccd30b5",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "d3a00026c9f9",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "9219d2939ed6"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_backlink_competitors",
          "path": "/apis/v1/semrush/backlink-competitors"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/backlink-competitors?target=example&target_type=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/backlinks": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.08 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_backlinks",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target_type",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "source_url;target_url;anchor\nhttps://example.com/post;https://ahrefs.com/blog/agentic-marketing/;Agentic Marketing",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `source_url;target_url;anchor`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "反向链接",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-backlinks",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.08,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:fab4d53445ac54d403de4733c24cff2c462c1eee26001570de5ebff3e3fcebd4",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "7008d205979f",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "a97340f63ef8"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_backlinks",
          "path": "/apis/v1/semrush/backlinks"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/backlinks?target=example&target_type=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/backlinks-overview": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n公开参考价格：每次成功请求 $0.004 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_backlinks_overview",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "73;7376713;127172;5228834;87874",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited overview: ascore;total_backlinks;referring_domains;referring_urls;referring_ips."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Semrush Backlinks Overview",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-backlinks-overview",
        "x-aisa-pricing": {
          "cost_contract": "fixed_success",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.004,
          "estimate_source": "profile_seed",
          "evidence_source": "request_snapshot"
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:26b1f0028ad993491bfb4c1b73bae9dadf094251d0bea16847d0d285ea107207",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "33e288dbfb59",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "d4ef6b4b887a"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_backlinks_overview",
          "path": "/apis/v1/semrush/backlinks-overview"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/backlinks-overview?target=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/broad-match-keywords": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.04 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_broad_match_keywords",
        "parameters": [
          {
            "in": "query",
            "name": "database",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "phrase",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Keyword;Search Volume;CPC\nseo tools;550000;7.79",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Keyword;Search Volume;CPC`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Broad Match Keywords",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-broad-match-keywords",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.04,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:bc8bee2a905e4c371352a46281f9e7a4f94cd7b988716d76e4f4ec17acca7931",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "33075619748b",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "1636c1837b9e"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_broad_match_keywords",
          "path": "/apis/v1/semrush/broad-match-keywords"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/broad-match-keywords?phrase=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/domain-organic-competitors": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.08 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_organic_competitors",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "database",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example.com"
              },
              "minimal": {
                "value": "example.com"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Domain;Competitor Relevance;Common Keywords;Organic Keywords\nseranking.com;0.36;13476;78356",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Domain;Competitor Relevance;Common Keywords;Organic Keywords`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Organic Competitors",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-domain-organic-competitors",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.08,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:a32547514882714f8cf4ea1b2f7e76e48db6605b8482109c49ea954829a4ec20",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "56215e3cf9ff",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "55c2420a9f6d"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_organic_competitors",
          "path": "/apis/v1/semrush/domain-organic-competitors"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/domain-organic-competitors?database=example&domain=example.com' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/domain-organic-keywords": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.02 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_domain_organic_keywords",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "database",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example.com"
              },
              "minimal": {
                "value": "example.com"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Keyword;Position;Search Volume;CPC;Url\nsearch operators;1;1220000;2.02;https://ahrefs.com/blog/google-advanced-search-operators/",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Keyword;Position;Search Volume;CPC;Url`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Domain Organic Keywords",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-domain-organic-keywords",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.02,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:aa108794b78b55485c233bac00f5ef6ee8587524c1a3fc10ff3f0eff93c53776",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "120ce3538bb5",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "bdd2fa2c0fdc"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_domain_organic_keywords",
          "path": "/apis/v1/semrush/domain-organic-keywords"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/domain-organic-keywords?database=example&domain=example.com' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/domain-overview": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n公开参考价格：每次成功请求 $0.001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_domain_overview",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "us"
              }
            },
            "in": "query",
            "name": "database",
            "required": false,
            "schema": {
              "default": "us",
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example.com"
              },
              "minimal": {
                "value": "example.com"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "us;ahrefs.com;1843;204139;1387538;4247450;679",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited overview: Database;Domain;Rank;OrganicKeywords;OrganicTraffic;OrganicCost;AdwordsKeywords."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Semrush Domain Overview",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-domain-overview",
        "x-aisa-pricing": {
          "cost_contract": "fixed_success",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.001,
          "estimate_source": "profile_seed",
          "evidence_source": "request_snapshot"
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:5c95952c9b8870ecfa895e9ef3b9618dc39693c70054dcd1454db25fd13014be",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "c526e7f16356",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "37e2e45030cc"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_domain_overview",
          "path": "/apis/v1/semrush/domain-overview"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/domain-overview?database=us&domain=example.com' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/domain-paid-keywords": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.04 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_domain_paid_keywords",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "database",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example.com"
              },
              "minimal": {
                "value": "example.com"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Keyword;Position;Search Volume;CPC;Url\nhotels near me;1;2240000;1.45;https://www.booking.com/",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Keyword;Position;Search Volume;CPC;Url`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Domain Paid Keywords",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-domain-paid-keywords",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.04,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:da46ef4604485f8f3907c4ca43981db0be1cce13c0dc168460bb5a6dcd0ca0d9",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "93539a8a0bfb",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "2f78b7880f4d"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_domain_paid_keywords",
          "path": "/apis/v1/semrush/domain-paid-keywords"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/domain-paid-keywords?database=example&domain=example.com' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/domain-rank-history": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.02 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_domain_rank_history",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "database",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example.com"
              },
              "minimal": {
                "value": "example.com"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Rank;Organic Keywords;Organic Traffic;Organic Cost\n1332;209108;1909338;6145922",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Rank;Organic Keywords;Organic Traffic;Organic Cost`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Domain Rank History",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-domain-rank-history",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.02,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:dc5bb7849b44c08942293984fb29f0c69421a6c133060ec9e38b7badc253e483",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "a22e67c569e4",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "5abf46f63734"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_domain_rank_history",
          "path": "/apis/v1/semrush/domain-rank-history"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/domain-rank-history?database=example&domain=example.com' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/domain-vs-domain": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.16 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_domain_vs_domain",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "database",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example.com"
              },
              "minimal": {
                "value": "example.com"
              }
            },
            "in": "query",
            "name": "domains",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Keyword;ahrefs.com\nai detector;79",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Keyword;ahrefs.com`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Domain vs Domain",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-domain-vs-domain",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.16,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:73d12ef06035c5a2fe7b7435aefbfe3d31e3bc893d21de5f7fb84b8022f0459b",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "e2899dc59b64",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "3a0c93937135"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_domain_vs_domain",
          "path": "/apis/v1/semrush/domain-vs-domain"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/domain-vs-domain?database=example&domains=example.com' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/indexed-pages": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.08 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_indexed_pages",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target_type",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "source_url;backlinks_num\nhttps://ahrefs.com/;1706893",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `source_url;backlinks_num`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Indexed Pages",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-indexed-pages",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.08,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:665804c6aa6a7d20ae0beab7380bdafe401ce7938b86cd4eeb6e4dc5e92b8e01",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "b417c45f8b60",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "7ac4ec2559dc"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_indexed_pages",
          "path": "/apis/v1/semrush/indexed-pages"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/indexed-pages?target=example&target_type=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/keyword-difficulty": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.005 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_keyword_difficulty",
        "parameters": [
          {
            "in": "query",
            "name": "database",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "phrase",
            "required": true,
            "schema": {
              "type": "string",
              "x-aisa-delimiter": ";",
              "x-aisa-maxItems": 20,
              "x-aisa-minItems": 1
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Keyword;Keyword Difficulty Index\nseo tools;94",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Keyword;Keyword Difficulty Index`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keyword Difficulty",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-keyword-difficulty",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:654d1d0d0c278053c99d8aca4943942099390afe000dee1aff6cf6aff62bff41",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "2ead2220d615",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "a9da810c3a1d"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_keyword_difficulty",
          "path": "/apis/v1/semrush/keyword-difficulty"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/keyword-difficulty?phrase=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/keyword-organic-results": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.02 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_organic_results",
        "parameters": [
          {
            "in": "query",
            "name": "database",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "phrase",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Domain;Url;Keywords SERP Features;SERP Features\nsmallseotools.com;https://smallseotools.com/;6,7,9;6,7,9",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Domain;Url;Keywords SERP Features;SERP Features`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Organic Results",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-keyword-organic-results",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.02,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:f5e3a79a40766ee6c18b309b35784997e3933b93e5843fd780c7b43668ebce7d",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "f443436c3ecc",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "abce54291060"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_organic_results",
          "path": "/apis/v1/semrush/keyword-organic-results"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/keyword-organic-results?phrase=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/keyword-overview": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n公开参考价格：每次成功请求 $0.001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_keyword_overview",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "us"
              }
            },
            "in": "query",
            "name": "database",
            "required": false,
            "schema": {
              "default": "us",
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "phrase",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "seo tools;550000;7.79;0.03;124",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited overview: Keyword;SearchVolume;CPC;Competition;NumberOfResults."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Semrush Keyword Overview",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-keyword-overview",
        "x-aisa-pricing": {
          "cost_contract": "fixed_success",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.001,
          "estimate_source": "profile_seed",
          "evidence_source": "request_snapshot"
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:31f6c6c8636a8fc33f2c854f549d756069bb79f02911df7fd2ee9ed0a3f62116",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "c526e7f16356",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "cb58a14fadb4"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_keyword_overview",
          "path": "/apis/v1/semrush/keyword-overview"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/keyword-overview?database=us&phrase=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/keyword-paid-results": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.04 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_paid_results",
        "parameters": [
          {
            "in": "query",
            "name": "database",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "phrase",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Domain;Url\nprogressive.com;https://www.progressive.com/lp/insurance-superstore",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Domain;Url`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Paid Results",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-keyword-paid-results",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.04,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:521f0daf05509c536ac61d9292439841909abddf0b59322db547fcecc6633b57",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "cb719e448b30",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "73697771c615"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_paid_results",
          "path": "/apis/v1/semrush/keyword-paid-results"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/keyword-paid-results?phrase=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/question-keywords": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.08 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_question_keywords",
        "parameters": [
          {
            "in": "query",
            "name": "database",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "phrase",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Keyword;Search Volume;CPC\nwhat is seo;40500;2.05",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Keyword;Search Volume;CPC`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Question Keywords",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-question-keywords",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.08,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:d2630d466ec131f833903d7bb6ac8f32b795730576d3c28a6fecfc45c9d4543c",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "ed1eda462d1c",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "9f5a80783674"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_question_keywords",
          "path": "/apis/v1/semrush/question-keywords"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/question-keywords?phrase=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/referring-domains": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.08 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_referring_domains",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "target_type",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "domain;backlinks_num\nmein-tagwerk.de;872721",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `domain;backlinks_num`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "引荐域名",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-referring-domains",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.08,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:9ccb0c817c609e82c5d954bbb346bcb0e3122587b0120226ae45543f2e780f19",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "81b07b64cb7e",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "78dc2444328b"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_referring_domains",
          "path": "/apis/v1/semrush/referring-domains"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/referring-domains?target=example&target_type=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/related-keywords": {
      "get": {
        "description": "Semrush 相关关键词：给定种子关键词返回语义相关扩展词（搜索量/CPC/竞争度/结果数/趋势）。按返回行计费。\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.024 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_apis_v1_semrush_related_keywords",
        "parameters": [
          {
            "in": "query",
            "name": "database",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "phrase",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "成功响应"
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "相关关键词",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush_apis_v1_semrush_related_keywords",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 3.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.024,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-pending": {
          "method": "GET",
          "operation_id": "get_semrush_apis_v1_semrush_related_keywords",
          "path": "/apis/v1/semrush/related-keywords",
          "reason": "public success response has no authoritative payload declaration",
          "statuses": [
            "200"
          ]
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "4c754fa104de",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "dbc6db86ac95"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_apis_v1_semrush_related_keywords",
          "path": "/apis/v1/semrush/related-keywords"
        },
        "x-aisa-status": "disabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/related-keywords?phrase=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/semrush/url-organic-keywords": {
      "get": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.02 USD（不是固定价格）。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "get_semrush_url_organic_keywords",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "database",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "url",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "example": "Keyword;Position;Search Volume;CPC\nahrefs blog;1;2900;4.98",
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "Semicolon-delimited rows. Header: `Keyword;Position;Search Volume;CPC`."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "URL Organic Keywords",
        "tags": [
          "semrush"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "semrush",
        "x-aisa-category": "seo",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/semrush/get_semrush-url-organic-keywords",
        "x-aisa-pricing": {
          "cost_contract": "response_count",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.02,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 20
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-source": {
          "content_hash": "sha256:9da91c944640a464dba8c067629baa5a634f507c07a08255711f17cd273ecdfd",
          "kind": "published_success_contract"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fbdd115f475e",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "bf90132ca688"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_semrush_url_organic_keywords",
          "path": "/apis/v1/semrush/url-organic-keywords"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/semrush/url-organic-keywords?database=example&url=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.aisa.one"
    }
  ]
}
